Passer au contenu principal
POST
https://{tenantDomain}/api/v2
/
keys
/
encryption
/
{kid}
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.Keys;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Keys.Encryption.ImportAsync(
            kid: "kid",
            request: new ImportEncryptionKeyRequestContent {
                WrappedKey = "wrapped_key"
            }
        );
    }

}
{
  "kid": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "parent_kid": "<string>",
  "public_key": "<string>"
}

Autorisations

Authorization
string
header
requis

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Paramètres de chemin

kid
string
requis

Encryption key ID

Corps

wrapped_key
string
requis

Base64 encoded ciphertext of key material wrapped by public wrapping key.

Réponse

The key was successfully imported.

Encryption key

kid
string
requis

Key ID

type
enum<string>
requis

Key type

Options disponibles:
customer-provided-root-key,
environment-root-key,
tenant-master-key,
tenant-encryption-key
state
enum<string>
requis

Key state

Options disponibles:
pre-activation,
active,
deactivated,
destroyed
created_at
string<date-time>
requis

Key creation timestamp

updated_at
string<date-time>
requis

Key update timestamp

parent_kid
string | null

ID of parent wrapping key

public_key
string | null

Public key in PEM format